Loading...
Searching...
No Matches
starpu_stdlib.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Macros

#define | STARPU_MALLOC_PINNED
#define | STARPU_MALLOC_COUNT
#define | STARPU_MALLOC_NORECLAIM
#define | STARPU_MEMORY_WAIT
#define | STARPU_MEMORY_OVERFLOW
#define | STARPU_MALLOC_SIMULATION_FOLDED
#define | starpu_data_malloc_pinned_if_possible
#define | starpu_data_free_pinned_if_possible

## Typedefs

typedef int(* | starpu_malloc_hook) (unsigned dst_node, void **A, size_t dim, int flags)
typedef int(* | starpu_free_hook) (unsigned dst_node, void *A, size_t dim, int flags)

## Functions

void | starpu_malloc_set_align (size_t align)
int | starpu_malloc (void **A, size_t dim)
int | starpu_free (void *A)
int | starpu_malloc_flags (void **A, size_t dim, int flags)
int | starpu_free_flags (void *A, size_t dim, int flags)
void | starpu_malloc_set_hooks (starpu_malloc_hook malloc_hook, starpu_free_hook free_hook)
int | starpu_memory_pin (void *addr, size_t size)
int | starpu_memory_unpin (void *addr, size_t size)
starpu_ssize_t | starpu_memory_get_total (unsigned node)
starpu_ssize_t | starpu_memory_get_available (unsigned node)
starpu_ssize_t | starpu_memory_get_total_all_nodes (void)
starpu_ssize_t | starpu_memory_get_available_all_nodes (void)
int | starpu_memory_allocate (unsigned node, size_t size, int flags)
void | starpu_memory_deallocate (unsigned node, size_t size)
void | starpu_memory_wait_available (unsigned node, size_t size)
void | starpu_sleep (float nb_sec)
void | starpu_usleep (float nb_micro_sec)